%{?nodejs_find_provides_and_requires}

%global packagename buffer
%global enable_tests 1

Name: nodejs-%{packagename}
Version: 4.9.1
Release: 1%{?dist}.3
Summary: Node.js Buffer API, for the browser
License: MIT
URL: https://github.com/feross/buffer
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
BuildRequires: npm(base64-js) >= 1.0.2
BuildRequires: npm(base64-js) < 2.0.0
BuildRequires: npm(ieee754) >= 1.1.4
BuildRequires: npm(ieee754) < 2.0.0
BuildRequires: npm(isarray) >= 0.0.1
%if 0%{?enable_tests}
BuildRequires: npm(concat-stream) >= 1.4.7
BuildRequires: npm(concat-stream) < 2.0.0
BuildRequires: npm(is-buffer) >= 1.1.1
BuildRequires: npm(is-buffer) < 2.0.0
BuildRequires: npm(is-nan) >= 1.0.1
BuildRequires: npm(is-nan) < 2.0.0
BuildRequires: npm(split) >= 0.3.3
BuildRequires: npm(tape) >= 4.0.0
BuildRequires: npm(tape) < 5.0.0
BuildRequires: npm(through2) >= 2.0.0
BuildRequires: npm(through2) < 3.0.0
%endif

%description
The buffer module from node.js, for the browser.

With browserify, simply require('buffer') or use the Buffer global
and you will get this module.


%prep
%setup -q -n package
%nodejs_fixdep isarray '>=0.0.1'
%nodejs_fixdep --dev split '>=0.3.3'


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
        %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
tape test/*.js test/node/*.js && OBJECT_IMPL=true tape test/*.js
%endif


%files
%license LICENSE
%doc *.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Wed Sep 21 2016 Oleg Girko <ol@infoserver.lv> - 4.9.1-1
- Initial package.
